Core - Bug # 54499

Status: Resolved Priority: Must have
Author: Stefan Neufeind Category: File Abstraction Layer (FAL)
Created: 2013-12-18 Assigned To:

Updated: 2013-12-18 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Fix test: LocalDriver does not update file-properties anymore

Description

Since #53655 updating the file-properties is left to the indexer now. Test needs to be adjusted accordingly.

Related issues:
related to Core - Task # 53655: Wrong path in Frontend on moving directory in... Resolved 2013-11-15

Associated revisions

Revision f23f4acd - 2013-12-18 23:11 - Stefan Neufeind

[BUGFIX] Follow up: Moving files and folders doesn't update hashes

Since #53655, reviewed at https://review.typo3.org/25481 the indexer

takes care of updating file objects and index records if a file or
folder is moved.

The unit tests have not been adapted to that change accordingly.
This changeset fixes the tests for LocalDriver and ResourceStorage.

Change-Id: 1d17b01b8e47dd63750d1¢c11c2d4e24313b053695
Resolves: #54499
Releases: 6.2

Reviewed-on: https://review.typo3.org/26477

Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2013-12-18 21:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26477

#2 - 2013-12-18 21:21 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/26477

#3 - 2013-12-18 22:07 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26477

#4 - 2013-12-18 22:18 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26477

#5 - 2013-12-18 22:45 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/26477

#6 - 2013-12-18 22:59 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26477

#7 - 2013-12-18 23:31 - Stefan Neufeind
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f23f4acde565b461323bd1f41908d83af2826667.
